Bug 131120 - x11/libxcb - xauth failes when using libX11/libxcb
Summary: x11/libxcb - xauth failes when using libX11/libxcb
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-29 14:20 UTC by danny
Modified: 2009-04-04 19:50 UTC (History)
0 users

See Also:


Attachments
file.diff (452 bytes, patch)
2009-01-29 14:20 UTC, danny
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description danny 2009-01-29 14:20:02 UTC
	after compiling newer(?) libX11/libxcb, there is a bug in
	src/xcb_auth.c that prevents authorization cookies to
	work correctly. See
	     http://bugs.freedesktop.org/show_bug.cgi?id=14202

Fix: copy patch to /usr/ports/x11/libxcb/files/patch-src-xcb_auth.c
Comment 1 Pav Lucistnik freebsd_committer 2009-01-29 20:28:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Over to x11
Comment 2 Edwin Groothuis freebsd_committer 2009-01-29 20:53:35 UTC
Maintainer of x11/libxcb,

Please note that PR ports/131120 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/131120

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2009-01-29 20:53:37 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Ashish Shukla 2009-01-31 01:12:28 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

In <20090129205335.9EE511065672@hub.freebsd.org>, Edwin Groothuis wrote:
>Maintainer of x11/libxcb,
>
>Please note that PR ports/131120 has just been submitted.
>
>If it contains a patch for an upgrade, an enhancement or a bug fix
>you agree on, reply to this email stating that you approve the patch
>and a committer will take care of it.
>
>The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/131120

Thanks for the patch. But unless someone in the upstream commits it, I can't add 
it. I've added myself to that bugreport, so I'll be tracking that bug.

Thanks
- -- 
Ashish SHUKLA
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.10 (GNU/Linux)

iEYEARECAAYFAkmDpXwACgkQHy+EEHYuXnSSdwCfWQyUXHerspmnuK4hhkodEw8e
+NoAnRMfssQ5h0kuq9M9PLAks3YwcVbv
=Lnv1
-----END PGP SIGNATURE-----
Comment 5 Pav Lucistnik freebsd_committer 2009-03-19 16:39:47 UTC
State Changed
From-To: feedback->suspended

Maintainer responded; blocking on bug resolution in fd.o bugzilla
Comment 6 dfilter service freebsd_committer 2009-04-04 19:49:36 UTC
rnoland     2009-04-04 18:49:26 UTC

  FreeBSD ports repository

  Modified files:
    x11/libxcb           Makefile 
  Added files:
    x11/libxcb/files     patch-src-xcb_auth.c 
  Log:
  Add patch to fix xauth.
  
  PR:             131120
  Submitted by:   Danny Braniss <danny@cs.huji.ac.il>
  Approved by:    Ashish SHUKLA <wahjava@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.17      +1 -0      ports/x11/libxcb/Makefile
  1.1       +16 -0     ports/x11/libxcb/files/patch-src-xcb_auth.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Robert Noland freebsd_committer 2009-04-04 19:50:31 UTC
State Changed
From-To: suspended->closed

Committed. Thanks!